MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032221Open CASCADE[OCCT] OCCT:Visualizationpublic2021-03-17 09:532021-03-23 21:46
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032221: Visualization, TKD3DHost - fix memory leak within D3DHost_FrameBuffer::Release()
DescriptionD3DHost_FrameBuffer::Release() does not release OpenGL textures which raises debug assertion on closing V3d_View.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0099540)
kgv (developer)
2021-03-17 11:15

Patch is ready for review
- OCCT: branch CR32221.
(0099550)
osa (developer)
2021-03-17 14:05

The patch was reviewed
(0099615)
bugmaster (administrator)
2021-03-20 12:50

Combination -
OCCT branch : IR-2021-03-19
master SHA - d209b3176e21010e096833052698f1c0da5b04d5
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-19 SHA - 6baf3a921c29525981c0ad7881214c9b20ffe3c1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17753.85000000016 / 17750.250000000156 [+0.02%]
Products
Total CPU difference: 11481.660000000102 / 11540.5800000001 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19361.09375 / 19341.28125 [+0.10%]
Products
Total CPU difference: 12879.75 / 12869.921875 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 655e883c
Timestamp: 2021-03-17 06:54:27
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032221: Visualization, TKD3DHost - fix memory leak within D3DHost_FrameBuffer::Release()

D3DHost_FrameBuffer - added missing color texture release within FBO destruction.
OpenGl_View::RedrawImmediate() - fixed unexpected window buffer swap while rendering into offscreen myFBO.
mod - src/D3DHost/D3DHost_FrameBuffer.cxx Diff ] File ]
mod - src/D3DHost/D3DHost_View.cxx Diff ] File ]
mod - src/D3DHost/D3DHost_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-17 09:53 kgv New Issue
2021-03-17 09:53 kgv Assigned To => kgv
2021-03-17 10:01 kgv Relationship added child of 0026392
2021-03-17 10:02 kgv Relationship added child of 0031571
2021-03-17 10:03 kgv Product Version 7.5.0 => 7.6.0*
2021-03-17 11:15 kgv Note Added: 0099540
2021-03-17 11:15 kgv Assigned To kgv => osa
2021-03-17 11:15 kgv Status new => resolved
2021-03-17 14:05 osa Note Added: 0099550
2021-03-17 14:05 osa Assigned To osa => bugmaster
2021-03-17 14:05 osa Status resolved => reviewed
2021-03-20 12:50 bugmaster Note Added: 0099615
2021-03-20 12:50 bugmaster Status reviewed => tested
2021-03-20 12:59 bugmaster Test case number => Not required
2021-03-23 21:46 bugmaster Changeset attached => occt master 655e883c
2021-03-23 21:46 bugmaster Status tested => verified
2021-03-23 21:46 bugmaster Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker